aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMilan Misic <twoexem@gmail.com>2026-03-25 22:31:09 +0100
committerMilan Misic <twoexem@gmail.com>2026-03-25 22:31:09 +0100
commit92092c07b83220bdb9b9cdd9141c9479d469160e (patch)
tree8eaaeb103f2da04015b675e423d87413dab525e8
parentd3f203e7be8846871eed110edc9bed4185ece4bb (diff)
Actually bump the version everywhere this time, minor postinst fixes
-rw-r--r--DEBIAN/control2
-rwxr-xr-xDEBIAN/postinst8
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/Makefile (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/Makefile)0
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/dkms.conf (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/dkms.conf)2
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx.h (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx.h)0
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_buffer.c (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_buffer.c)0
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_core.c (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_core.c)0
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_i2c.c (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_i2c.c)0
-rw-r--r--usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_shub.c (renamed from usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_shub.c)0
9 files changed, 6 insertions, 6 deletions
diff --git a/DEBIAN/control b/DEBIAN/control
index e78517a..eddd8aa 100644
--- a/DEBIAN/control
+++ b/DEBIAN/control
@@ -1,5 +1,5 @@
Package: st-lsm6dsx-shift13mi
-Version: 1.0-1
+Version: 1.1-1
Architecture: amd64
Maintainer: Milan Misic <twoexem@gmail.com>
Depends: dkms, linux-headers-generic, iio-sensor-proxy, mokutil
diff --git a/DEBIAN/postinst b/DEBIAN/postinst
index ebcfc9f..cb2ba68 100755
--- a/DEBIAN/postinst
+++ b/DEBIAN/postinst
@@ -4,9 +4,9 @@ set -e
lang=$(locale | grep LANG | cut -d= -f2 | cut -d_ -f1)
# Install the module with dkms
-dkms add st-lsm6dsx-shift13mi/0.1 || true
-dkms build st-lsm6dsx-shift13mi/0.1 || true
-dkms install st-lsm6dsx-shift13mi/0.1 || true
+dkms add st-lsm6dsx-shift13mi/1.1 || true
+dkms build st-lsm6dsx-shift13mi/1.1 || true
+dkms install st-lsm6dsx-shift13mi/1.1 || true
# Unload the old module and reload the new module
modprobe -r st_lsm6dsx_i2c || true
@@ -15,7 +15,7 @@ modprobe st_lsm6dsx_i2c || true
# Reload udev and hwdb
systemd-hwdb update
udevadm trigger
-systemctl restart iio-sensor-proxy
+systemctl restart iio-sensor-proxy || true
if mokutil --sb-state 2>/dev/null | grep -q "SecureBoot enabled"; then
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/Makefile b/usr/src/st-lsm6dsx-shift13mi-1.1/Makefile
index 787d987..787d987 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/Makefile
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/Makefile
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/dkms.conf b/usr/src/st-lsm6dsx-shift13mi-1.1/dkms.conf
index bb13d3b..caabebd 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/dkms.conf
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/dkms.conf
@@ -1,5 +1,5 @@
PACKAGE_NAME="st-lsm6dsx-shift13mi"
-PACKAGE_VERSION="0.1"
+PACKAGE_VERSION="1.1"
BUILT_MODULE_NAME[0]="st_lsm6dsx_i2c"
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx.h b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx.h
index 6405a53..6405a53 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx.h
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx.h
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_buffer.c b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_buffer.c
index 55d8777..55d8777 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_buffer.c
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_buffer.c
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_core.c b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_core.c
index dc78227..dc78227 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_core.c
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_core.c
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_i2c.c b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_i2c.c
index b2a7c2e..b2a7c2e 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_i2c.c
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_i2c.c
diff --git a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_shub.c b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_shub.c
index d6a1eeb..d6a1eeb 100644
--- a/usr/src/st-lsm6dsx-shift13mi-0.1/st_lsm6dsx_shub.c
+++ b/usr/src/st-lsm6dsx-shift13mi-1.1/st_lsm6dsx_shub.c